Bug 123844 - rpm -qf misparses file argument
rpm -qf misparses file argument
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
1
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 18:13 EDT by Davide Bolcioni
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-01 10:01:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Davide Bolcioni 2004-05-20 18:13:25 EDT
Description of problem:
When supplied a filename containing ... rpm erroneously reports that
it cannot find it.

Version-Release number of selected component (if applicable): 4.2.1-0.30

How reproducible:
Always.

Steps to Reproduce:
1. mkdir -p /usr/share/afterstep/start/Desktop/Update...
2. touch /usr/share/afterstep/start/Desktop/Update.../10_updatefeel
3. rpm -qf /usr/share/afterstep/start/Desktop/Update.../10_updatefeel
  
Actual results:
"error: file
/usr/share/afterstep/start/Desktop/Update../10_updatefeel: No such
file or directory"

Please note that it lost a dot: there are three dots trailing "Update"
but it is reporting two; ls -l confirms the file is there.

Expected results:
file /usr/share/afterstep/start/Desktop/Update.../10_updatefeel is not
owned by any package. 

Additional info:
If I do "cd /usr/share/afterstep/start/Desktop/Update..." followed
by "rpm -qf *" I get the correct result. In case you wonder, the above
file was from the old AfterStep-1.8.0-1 RPM and survived many RedHat
upgrades.
Comment 1 Jeff Johnson 2004-06-01 10:01:23 EDT
Fixed in cvs, rpm-4_3 and HEAD. The fix should be in rpm-4.3.2
when built.

Note You need to log in before you can comment on or make changes to this bug.